Bug 485194 - man page for c++filt contains unsupported option
man page for c++filt contains unsupported option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: binutils (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Denys Vlasenko
BaseOS QE
:
Depends On:
Blocks: 545384
  Show dependency treegraph
 
Reported: 2009-02-12 04:16 EST by Milos Malik
Modified: 2013-04-12 16:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 545384 (view as bug list)
Environment:
Last Closed: 2009-05-06 11:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-02-12 04:16:56 EST
Description of problem:
The man page talks about "--strip-underscores" option which is not recognized by the binary. The binary recognizes "--strip-underscore" (without 's' at the end).

On the other hand the binary recognizes both "negative" options:
--no-strip-underscore
--no-strip-underscores

Version-Release number of selected component (if applicable):
binutils-2.17.50.0.6-9.el5

How reproducible:
always

Steps to Reproduce:
# c++filt --strip-underscores
c++filt: unrecognized option `--strip-underscores'
Usage: c++filt [options] [mangled names]
Options are:
  [-_|--strip-underscore]     Ignore first leading underscore
  [-n|--no-strip-underscore]  Do not ignore a leading underscore (default)
  [-p|--no-params]            Do not display function arguments
  [-i|--no-verbose]           Do not show implementation details (if any)
  [-t|--types]                Also attempt to demangle type encodings
  [-s|--format {none,auto,gnu,lucid,arm,hp,edg,gnu-v3,java,gnat}]
  [@<file>]                   Read extra options from <file>
  [-h|--help]                 Display this information
  [-v|--version]              Show the version information
Demangled names are displayed to stdout.
If a name cannot be demangled it is just echoed to stdout.
If no names are provided on the command line, stdin is read.
# c++filt --strip-underscore
^C
#
  
Actual results:
1 described option is not supported

Expected results:
all described options are supported

Additional info:
Options "-j" and "--java" which are described in the man page are not recognized -- shall I make a copy of bz#110926 for RHEL-5?
Comment 1 RHEL Product and Program Management 2009-03-26 13:08:22 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 2 Denys Vlasenko 2009-04-08 14:17:07 EDT
Test RPMs are uploaded to

http://people.redhat.com/dvlasenk/binutils-test-RHEL-5.4/

If you are interested in testing them, please give them a try.

Note that these packages are not official Red Hat packages (yet).
Comment 7 errata-xmlrpc 2009-05-06 11:35:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0465.html

Note You need to log in before you can comment on or make changes to this bug.